-1

Trying to build eclipse plugin using tycho v1.3.0. And my eclipse is not PDE, its a Java/J2EE IDE with PDE plugin installed. My pom.xml is as below

<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
          http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>com.myeclipse.example</groupId>
<artifactId>com.myeclipse.example.id</artifactId>
<version>1.0.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>

<properties>
    <tycho-version>1.4.0</tycho-version>
</properties>

<repositories>
    <repository>
        <id>2018-12</id>
        <layout>p2</layout>
        <url>https://download.eclipse.org/releases/2018-12</url>
    </repository>
</repositories>
<build>
    <plugins>
        <plugin>
            <groupId>org.eclipse.tycho</groupId>
            <artifactId>tycho-maven-plugin</artifactId>
            <version>${tycho-version}</version>
            <extensions>true</extensions>
        </plugin>
    </plugins>
</build>

Do i need to configure p2 repository here? because maven is trying to download tycho from m2 repo and failed to download. If yes for eclipse 2018-12(i.e. 4.10.0) what is the p2 repo url?

ERROR Received:

[INFO] Scanning for projects...
[INFO] Downloading from central: https://repo.maven.apache.org/maven2/org/eclipse/tycho/tycho-maven-plugin/1.3.0/tycho-maven-plugin-1.3.0.pom
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] Unresolveable build extension: Plugin org.eclipse.tycho:tycho-maven-plugin:1.3.0 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.eclipse.tycho:tycho-maven-plugin:jar:1.3.0 @ 
[ERROR] Unknown packaging: eclipse-plugin @ line 10, column 13
0

No, the tycho maven plugins are on maven central, you don't need a p2 repo for that. The p2 repo is used by tycho to resolve the plugin dependencies of your eclipse-plugin project.

I am using tycho 1.1.0 currently in a project, and there it works as expected, which pretty much the same configuration as in your example.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.